## org.apache.tools.ant.taskdefs
Class Retry

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Retry

All Implemented Interfaces:
  java.lang.Cloneable, TaskContainer

    public class Retry

extends Task
implements TaskContainer

Retries the nested task a set number of times

Since:
  Ant 1.7.1

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`Retry()`

Method Summary
`void` `addTask(Task t)` set the task
`void` `execute()` perform the work
`void` `setRetryCount(int n)` set the number of times to retry the task
`void` `setRetryDelay(int retryDelay)` set the delay between retries (in miliseconds)

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Retry

    public Retry()

Method Detail

### addTask

    public void addTask(Task t)

  set the task

  Specified by:
    `addTask` in interface `TaskContainer`
  Parameters:
    `t` - the task to retry.

### setRetryCount

    public void setRetryCount(int n)

  set the number of times to retry the task

  Parameters:
    `n` - the number to use.

### setRetryDelay

    public void setRetryDelay(int retryDelay)

  set the delay between retries (in miliseconds)

  Parameters:
    `n` - the time between retries.
  Since:
    Ant 1.8.3

### execute

    public void execute()
                 throws BuildException

  perform the work

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if there is an error.